org.apache.ignite.internal.processors.cache.distributed.dht.topology

## Interface GridDhtPartitionTopologyImpl.PartitionFactory

Enclosing class:
  GridDhtPartitionTopologyImpl

    public static interface GridDhtPartitionTopologyImpl.PartitionFactory

Partition factory used for (re-)creating partitions during their lifecycle. Currently used in tests for overriding default partition behavior.

### Method Summary

All Methods Instance Methods Abstract Methods
`GridDhtLocalPartition` `create(GridCacheSharedContext ctx, CacheGroupContext grp, int id)`

### Method Detail

#### create

    GridDhtLocalPartition create(GridCacheSharedContext ctx,
                                 CacheGroupContext grp,
                                 int id)

Parameters:
  `ctx` - Context.
  `grp` - Group.
  `id` - Partition id.
Returns:
  New partition instance.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020